local FuelZone1 = ZONE:New("Zone_1")
local FuelZone2 = ZONE:New("Zone_2")

local Zone1Flag = USERFLAG:New("Zone 1 Flag")
local Zone2Flag = USERFLAG:New("Zone 2 Flag")

ZoneFuelCheckScheduler = SCHEDULER:New( nil, 
function()

local ClientSET = SET_GROUP:New()
:FilterPrefixes("Client_")
:FilterStart()

 ClientSET:ForEachGroupAnyInZone(FuelZone1, function( ClientSET ) 
 
 local Callsign1 = ClientSET:GetCallsign()
 local FuelCheck1 = ClientSET:GetFuel() 
 local Zone1FlagCheck = Zone1Flag:Get()

  if FuelCheck1 <= 0.25 and Zone1FlagCheck ~= 1
  then
  MESSAGE:New(Callsign1..": You are in Zone 1, your signal is bingo!",10 ,nil ,true):ToGroup(ClientSET)
  --USERSOUND:New("Name of the sound file.ogg"):ToGroup(ClientSET)
  Zone1Flag:Set(1)
  end
 end
 )
 
 local Zone1Check = ClientSET:AnyInZone(FuelZone1)
 
 if Zone1Check == false or Zone1Check == nil
 then
 Zone1Flag:Set(0)
 end
 

 ClientSET:ForEachGroupAnyInZone(FuelZone2, function( ClientSET ) 
 
 local Callsign2 = ClientSET:GetCallsign()
 local FuelCheck2 = ClientSET:GetFuel()
 local Zone2FlagCheck = Zone2Flag:Get() 
 
  if FuelCheck2 <= 0.25 and Zone2FlagCheck ~= 1
  then
  MESSAGE:New(Callsign2..": You are in Zone 2, your signal is bingo!",10 ,nil ,true):ToGroup(ClientSET)
  --USERSOUND:New("Name of the sound file.ogg"):ToGroup(ClientSET)
  Zone2Flag:Set(1)
  end
 end
 )
 
 local Zone2Check = ClientSET:AnyInZone(FuelZone2)
 
 if Zone2Check == false or Zone2Check == nil
 then
 Zone2Flag:Set(0)
 end
end, {}, 1, 10
) 

